Subject: Re: bug#25360: File mode specification errors during building

From: [email-masked] (Phillip Lord)
Date: Wed, 01 Mar 2017 16:55:54 +0000

I've added changes to master which means that ldefs-boot-auto can be
regenerated without a bootstrap build. If the build breaks again, it can
be refixed rapidly now. I'll leave this for a while. If it breaks often,
I'll revert, but only time can tell.

Phil

[email-masked] (Phillip Lord) writes:

> No, it doesn't, and I can see no obvious way of achieving this.
>
> Perhaps it doesn't matter. These warnings will only occur during a full
> bootstrap. So just switching the warnings off during bootstrap would
> solve the problem. But this is also unsatisfying in other ways, and
> probably more unsatisfying that just having ldefs-boot.el as before.
>
> I have thought about the awk solution also. This seems to me to be
> pretty hard, simply because the rules for doing autoloads are
> complicated. Another possibility is to shrink loadup.el so that
> bootstrap-emacs is more limited in functionality still.
>
> At this point, though, I have to admit that I am leaning toward just
> reverting.
>
> Phil
>
> Glenn Morris <[email-masked]> writes:
>
>> Another issue that I think is related to this:
>> Now there are lots of free variable (and unused lexical, due to missing
>> defvars) warnings during bootstrapping, about autoloaded variables. The
>> new ldefs stuff doesn't seem to handle variables at all?
>>
>> Ref eg
>> http://hydra.nixos.org/build/48993155/log/raw
>>
>>     In toplevel form:
>>     files.el:750:1:Warning: Unused lexical variable `tramp-mode'
>>
>>     In directory-files-recursively:
>>     files.el:761:10:Warning: reference to free variable `tramp-mode'
>>
>>     In find-alternate-file:
>>     files.el:1740:17:Warning: reference to free variable `dired-directory'
>>     files.el:1750:15:Warning: assignment to free variable `dired-directory'
>>
>> etc